package com.huimv.produce.produce.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class ProdCost extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 成本名称
     */
    private String costName;

    /**
     * 成本类型
     */
    private String costType;

    /**
     * 成本数量
     */
    private Double costVal;

    /**
     * 成本占比
     */
    private Double costRate;

    /**
     * 批次编号
     */
    private Integer batchNo;

    /**
     * 批次名称
     */
    private String batchName;

    /**
     * 月份
     */
    private Integer month;

    /**
     * 年份
     */
    private Integer year;


}
