package com.huimv.environ.eco.controller;


import com.huimv.common.utils.Result;
import com.huimv.environ.eco.service.EcoDryListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-11
 */
@RestController
@RequestMapping("/ecoDryList")
public class EcoDryListController {
    @Autowired
    private EcoDryListService ecoDryListService;

    @PostMapping("/listDayEvent")
    public Result listDayEvent(HttpServletRequest request, @RequestBody Map<String, String> paramsMap) throws ParseException {
        return ecoDryListService.listDayEvent(request, paramsMap);
    }

}

